/**
 * Create a new contact for the currently logged-in user.
 */
export async function createContactAction(_prevData: unknown, formData: FormData): Promise<void> {
  throw new Error('Not implemented')
}

/**
 * Delete an existing contact.
 */
export async function deleteContactServerFunction({id}: {id: string}): Promise<void> {
  throw new Error('Not implemented')
}

/**
 * Update an existing contact.
 **/
export async function updateContactAction(_prevData: unknown, formData: FormData): Promise<void> {
  throw new Error('Not implemented')
}

/**
 * Mark a contact as favorite if it isn't yet a favorite or unfavorite it when it currently is a favorite.
 */
export async function toggleFavoriteServerFunction({id}: {id: string}): Promise<void> {
  throw new Error('Not implemented')
}
